<?php
	
include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
$id_compra= $_SESSION['id_compra'];
$numero_compra= $_SESSION['numero_compra'];
$id_proveedor=$_SESSION['proveedor'];
if (isset($_POST['id'])){$id=intval($_POST['id']);}
if (isset($_POST['cantidad'])){$cantidad=intval($_POST['cantidad']);}
if (isset($_POST['precio_compra'])){$precio_compra=floatval($_POST['precio_compra']);}

	/* Connect To Database*/
	require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
	
if (!empty($id) and !empty($cantidad) and !empty($precio_compra))
{
$insert_tmp2=mysqli_query($con, "INSERT INTO detalle_compra (numero_compra, id_producto, cantidad, precio_compra) VALUES ('$numero_compra','$id','$cantidad','$precio_compra')");

$sql20=mysqli_query($con, "select * from products where products.id_producto='".$id."'") or die(mysqli_error($con));
while ($row=mysqli_fetch_array($sql20))
	{
	$existencia=$row['existencia'];
	}


$nueva_existencia=$existencia+$cantidad;
mysqli_query($con,"UPDATE `fontur`.`products` SET `existencia` = '$nueva_existencia' WHERE `products`.`id_producto` = '$id'");

}
if (isset($_GET['id']))//codigo elimina un elemento del array
{
$id_detalle=intval($_GET['id']);	
$delete=mysqli_query($con, "DELETE FROM detalle_compra WHERE id_detalle='".$id_detalle."'");
}

?>
<table class="table" style="font-size:12px;">
<tr>
	<th class='text-center'>CODIGO</th>
	<th class='text-center'>CANT.</th>
	<th>DESCRIPCION</th>
	<th class='text-right'>PRECIO UNIT.</th>
	<th class='text-right'>PRECIO TOTAL</th>
</tr>
<?php
	$sumador_total=0;
	$sql=mysqli_query($con, "select * from products, compras, detalle_compra where compras.numero_fact=detalle_compra.numero_compra and  compras.id_compra='$id_compra' and detalle_compra.id_proveedor='$id_proveedor' and products.id_producto=detalle_compra.id_producto");
	while ($row=mysqli_fetch_array($sql))
	{
	$id_detalle=$row["id_detalle"];
	$codigo_producto=$row['codigo_producto'];
	$cantidad=$row['cantidad'];
	$nombre_producto=$row['nombre_producto'];
	
	
	//$precio_compra=$row['precio_compra']/(1+(TAX/100));
	$precio_compra=$row['precio_compra'];
	$precio_compra_f=number_format($precio_compra,3);//Fo3mateo variables
	$precio_compra_r=str_replace(",","",$precio_compra_f);//Reemplazo las comas
	$precio_total=$precio_compra_r*$cantidad;
	$precio_total_f=number_format($precio_total,3);//Pr3cio total formateado
	$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
	$sumador_total+=$precio_total_r;//Sumador
	
		?>
		<tr>
			<td class='text-center'><?php echo $codigo_producto;?></td>
			<td class='text-center'><?php echo $cantidad;?></td>
			<td><?php echo $nombre_producto;?></td>
			<td class='text-right'><?php echo $precio_compra_f;?></td>
			<td class='text-right'><?php echo $precio_total_f;?></td>
			
		</tr>		
		<?php
	}
	$subtotal=number_format($sumador_total,3,'.',3);
	//$total_iva=($subtotal * TAX )/100;
	//$total_iva=number_format($total_iva,2,'.','');
	//$total_compra=$subtotal+$total_iva;
	$total_compra=$subtotal;
?>
<tr>
	<td class='text-right' colspan=4>SUBTOTAL $</td>
	<td class='text-right'><?php echo number_format($subtotal,3);?></td3
	<td></td>
</tr>
<tr>
	<td class='text-right' colspan=4>IVA (<?php //echo TAX?>0)% $</td>
	<td class='text-right'>0<?php //echo number_format($total_iva,3);?></td>
	<td></td>
</tr>
<tr>
	<td class='text-right' colspan=4><strong>TOTAL </strong></td>
	<td class='text-right'><strong>$<?php echo number_format($total_compra,3);?></strong3</td>
    <td></td>
</tr>

</table>